PDA

View Full Version : Problem with RC Install Linux



tbernhar
08-21-2006, 09:11 AM
Just installed RC1 (pentaho-demo-1.2.0.341-RC1) on openSUSE Linux 10.1, using Sun J2re 1.4.2-12. When I attempt to use any of the samples I get the following error from Tomcat (however the Admin Services & Portal appear to work correctly):

java.lang.NoClassDefFoundError: org/pentaho/ui/IPentahoUrlFactory
java.lang.Class.getDeclaredConstructors0(Native Method)
java.lang.Class.privateGetDeclaredConstructors(Unknown Source)
java.lang.Class.getConstructor0(Unknown Source)
java.lang.Class.newInstance0(Unknown Source)
java.lang.Class.newInstance(Unknown Source)
org.apache.jasper.servlet.JspServletWrapper.getServlet(JspServletWrapper.java:138)
org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:305)
org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:314)
org.apache.jasper.servlet.JspServlet.service(JspServlet.java:264)
javax.servlet.http.HttpServlet.service(HttpServlet.java:810)
org.jboss.web.tomcat.filters.ReplyHeaderFilter.doFilter(ReplyHeaderFilter.java:81)

I went through both the RC1 Quickstart Guide & Advanced Install Guide and everything looks good. What should I look at next?

voreilly
08-24-2006, 12:18 AM
I had the same error, see my post.

"http://forums.pentaho.org/showthread.php?t=26912"

HTH

elassad
09-23-2006, 06:04 PM
Hi,
any progess on this ?
i have the same issue so i downloaded the sources and i checked if a such class is there but there is _none_ i only found an interface IPentahoUrlFactory located at org.pentaho.core.ui.IPentahoUrlFactory but there is _neither_ a .class nor a .java at org.pentaho.ui.IPentahoUrlFactory nor in the source so i would be glade to know/understand why this happens and if there are any fix for ?


greetings
yassine, cologne

mbatchelor
09-25-2006, 07:33 PM
Thanks for the heads up - we'll check the Tomcat deployment in the next couple of days.

Sorry for the trouble you're having.

It would be especially helpful if you would post the exact tomcat version you're using.

Thanks,

Marc

elassad
09-25-2006, 11:03 PM
Hi Marc,


Tomcat 5.5.17

java version "1.5.0_07"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_07-b03)

greetings
yassine

tbernhar
09-27-2006, 01:28 PM
Problem appears to be fixed in RC2

elassad
09-27-2006, 02:02 PM
thanks for the info,
for now im sticking to an earlier release since i spent sometime on it but i will upgrade as soon as i get the chance to

cheers!
Yassine